About SOP Apply by Line

SOP Apply by Line (SABL) is integrated with Microsoft Dynamics GP so you can perform the following actions:

  • apply partial accounts receivable payments to individual sales order processing invoice line items
  • review the application of accounts receivable payments to sales order processing invoice line items on inquiry windows and receivables trial balance reports
  • keep track of unpaid items on sales order processing invoices

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of SOP Apply by Line. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

2025

Closed Build 1401 (October 2025) for Microsoft Dynamics GP 18.8
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade SABL from GP 18.7.1756 to GP 18.8.1904 | N/A | N/A | N/A

2024

Closed Build 1301 (October 2024) for Microsoft Dynamics GP 18.7
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade GP from GP 18.6.1685 to GP 18.7.1756 | N/A | N/A | N/A
Closed Build 1202 (January 2024) for Microsoft Dynamics GP 18.6
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Sales
Issue | Fixed Issue: The amount in the Total Unapplied from payment document field was incorrect when you opened the SABL Apply by line items window. The same issue occurred when marking and unmarking the line items. | Sales >Transaction > Apply Sales Document > Apply by line items | N/A | N/A

2023

Closed Build 1201 (October 2023) for Microsoft Dynamics GP 18.6
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade from GP18.5(18.5.1556) to GP18.6(18.6.1685) | N/A | N/A | N/A

2022

Closed Build 1103 (2022) for Microsoft Dynamics GP 18.5
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: User faces runtime error saying: "Illegal address for field 'National Account Display' in script 'BSSI_Additional_Apply'" while doing Auto apply on 'Apply Payables Document' window when GP default window of 'Edit Payment Vendor' and 'Manual Payments' is used. |  |  |
Closed Build 1102 (2022) for Microsoft Dynamics GP 18.5
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: When running a Vendor integration with Integration Manager,exception: Illegal address for field ‘Parent Vendor ID’ in script ‘BSSI_Display_Vendor_MSTR’” |  |  |
Closed Build 1101 (October 2022) for Microsoft Dynamics GP 18.5
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade GP from 18.4.1461 to GP 18.5.1556 |  |  |
Closed Build 1002 (June 2022) for Microsoft Dynamics GP 18.4
 | Issues Fixed |  |  |
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Sales
Issue | Fixed Issue: Deleted credit memos still shows up in SABL table. The user creates a new credit note and applies it to the invoice. Then the user deletes the credit note and creates another credit note (different credit note, not reusing the same one). They are able to apply it to the invoice. However we found that the first credit note that got deleted is still “attached” to the invoice even though the first credit note has been deleted. | Transaction > Transaction Entry > Apply Sales Document > Apply by line items |  |
Closed Build 903 (June 2022) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed Issue: Deleted credit memos still shows up in SABL table. The user creates a new credit note and applies it to the invoice. Then the user deletes the credit note and creates another credit note (different credit note, not reusing the same one). They are able to apply it to the invoice. However we found that the first credit note that got deleted is still “attached” to the invoice even though the first credit note has been deleted. | Transaction > Transaction Entry > Apply Sales Document > Apply by line items |  |

2021

Closed Build 1001 (November 2021) for Microsoft Dynamics GP 18.4
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Purchasing
Upgrade | Upgrade from GP 18.3.1200 to GP 18.4.1361. |  |  |
Closed Build 902 (April 2021) for Microsoft Dynamics GP 18.3 and 2016
Issues Fixed
Description Navigation Path New Form/Report Database Changes
GP Series: Sales

Fixed issue that occurred when the following is setup:

  • On the SABL System Setup window, Auto Open to Allocate selected and Auto Allocate for Partially Paid Invoice cleared
  • MEM is installed on the company database

On the Apply Sales Document window, if the apply check box beside an invoice is selected and the Unapplied Amount of the payment is equal to or greater than the Amount Remaining of the invoice, the following unexpected behaviors occur:

  1. The Apply by Line Items window opens and then immediately closes.
  2. The apply check box is cleared.
  3. The Apply Amount gets set to zero (0).
  4. The Amount Remaining of the invoice stays at the original value before the check box was selected.
  5. None of the lines on the invoice are applied.

Instead, the following behaviors should occur:

  1. The Apply by Line Items window should not open at all,
  2. The apply check box should remain selected.
  3. The Apply Amount should be set to whatever the Amount Remaining of the invoice was before selecting the apply check box.
  4. The Amount Remaining of the invoice should be set to zero (0).
  5. All lines on the invoice should be automatically applied.
Transactions > Sales > Apply Sales Documents

Fixed issue that occurred when the following is setup:

  • On the SABL System Setup window, Auto Open to Allocate selected and Auto Allocate for Partially Paid Invoice cleared
  • MEM is not installed on the company database

On the Apply Sales Document window, if the apply check box beside an invoice is selected and the Unapplied Amount of the payment is less than the Amount Remaining of the invoice, the following unexpected behaviors occur: the Apply by Line Items window does not open automatically.

Instead, the following behavior should occur: the Apply by Line Items window should open automatically.

Transactions > Sales > Apply Sales Documents
Closed Build 901 (January 2021) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 18.2 October 2019 Release (18.2.1013) to GP2018.3.1173. |  |  |

2019

Closed Build 801 (November 2019) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2018RTM (18.00.0400) to GP 18.2 October 2019 Release (18.2.1013). |  |  |

2018

Closed Build 702 (June 2018) for Microsoft Dynamics GP 2018
  • Project
    • Added the Req. Ship Date column to the list view on the Apply by Line Items window. Also, on the System Setup window, you can choose to sort the list view on the Apply by Line Items window by the Req. Ship Date or use the default sort order, which is by line sequence number.
Closed Build 604 (June 2018) for Microsoft Dynamics GP 2016 R2
  • Project
    • Added the Req. Ship Date column to the list view on the Apply by Line Items window. Also, on the System Setup window, you can choose to sort the list view on the Apply by Line Items window by the Req. Ship Date or use the default sort order, which is by line sequence number.
      Path: Transactions > Sales > Apply Sales Documents; select Apply Amount expansion button
      Database Change: BSSI_SOPApplyByLineTemp, BSSI_SystemSetup
Closed Builld 701 (February 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2016R2 to GP2018 |  |  |

2017

Closed Build 603 (April 2017) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Changed the Apply By Sales Line Item window to display in the originating currency of the payment rather than functional currency in order to eliminate rounding issues. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 508 (April 2017) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Changed the Apply By Sales Line Item window to display in the originating currency of the payment rather than functional currency in order to eliminate rounding issues. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 309 (April 2017) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed issue: When auto applying line items on the Apply by Line Items window, amounts are applied to items by Item Number order rather than Line Number order. | Transactions > Sales > Apply Sales Documents; select Apply Amount expansion button |  | Swapped the order of the Item Number and Line Number fields in key 3 on table BSSI_SOPApplyByLineTemp (a SQL temp table). Line Number is now before Item Number.
Closed Build 602 (January 2017) for Microsoft Dynamics GP 2016 R2
  • Project
    • Added support for multicurrency cash receipts.
      Path: Transactions > Sales > Apply Sales Documents
Closed Build 507 (January 2017) for Microsoft Dynamics GP 2015 R2
  • Project
    • Added support for multicurrency cash receipts.
      Path: Transactions > Sales > Apply Sales Documents

2016

Closed Build 601 (July 2016) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2015 to GP2016. |  |  |
Closed Build 506 (July 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed issue: When auto applying line items on the Apply by Line Items window, amounts are applied to items by Item Number order rather than Line Number order. | Transactions > Sales > Apply Sales Documents; select Apply Amount expansion button |  | Swapped the order of the Item Number and Line Number fields in key 3 on table BSSI_SOPApplyByLineTemp (a SQL temp table). Line Number is now before Item Number.
Closed Build 505 (June 2016) for Microsoft Dynamics GP 2015 R2
  • Project
    • Added the ability to open the SOP Apply by Line documentation by pressing F1 in all Binary Stream windows. You can also open the SOP Apply by Line documentation from the Help menu.
      Path: Transaction > Purchasing > Select Payables Checks
    • Limited and self-service users can open Binary Stream custom windows. Previously, limited and self-service users received the following error message:
      You don't have security privileges to open this window.
Closed Build 504 (June 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where the user could not apply a payment to a Debit Memo because the Debit Memo document type does not have any line items. The warning message the user would see was "No Line Items to Apply." | Transactions > Sales > Apply Sales Documents |  |
Fixed an issue where the user could not automatically apply writeoffs and terms discounts. The user would be forced to apply manually using "Apply by Line" window. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 308 (March 2016) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where the user could not apply a payment to a Debit Memo because the Debit Memo document type does not have any line items. The warning message the user would see was "No Line Items to Apply." | Transactions > Sales > Apply Sales Documents |  |
Fixed an issue where the user could not automatically apply writeoffs and terms discounts. The user would be forced to apply manually using "Apply by Line" window. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 501 (January 2016) for Microsoft Dynamics GP 2015
  • Project
    • In the Registration window, you can specify the number of days before the trial registration key expiration date to receive a warning.
      Path: Microsoft Dynamics GP > Tools > Setup > System > Binary Stream Registration > Notification Setup Button

2015

Closed Build 503 (October 2015) for Microsoft Dynamics GP 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue where applying a payment to multiple lines and reopening the Apply By Line window, will show the payment as being applied to different lines than those initially applied. This issue would only occur with the 'Auto Allocate for Partially Paid Invoice' marked on SABL setup. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 502 (August 2015) for Microsoft Dynamics GP 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Installation Wizard where installing product into two companies would throw error "The store procedure GrantAccess() of form SQL Maintenance: 69: Pass Through SQL returned the following results: DBMS: 15151, Microsoft Dynamics GP: 0." |  |  |
Fixed the issue with unapply on 'Apply Sales Document' Window and the apply by line window should not automatically open when use markes an invoice to apply a paymnet to, when 'Auto Open to allocate' is not marked | Transactions > Sales > Cash Receipts |  |
Fixed the issue with unapply on 'Apply Sales Document' Window | Transactions > Sales > Cash Receipts |  |
Closed Build 501a (April 2015) for Microsoft Dynamics GP 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded Integration Manager integration to GP 2015. |  |  |
Closed Build 501 (January 2015) for Microsoft Dynamics GP 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2013 SP2 to GP2015. |  |  |
15 501 Project Enhancement Added the ability for users to specify within how many days of their Trial Reg Key expiration date they would like to be warned/notified of the expiry. Microsoft Dynamics GP > Tools > Setup > System > Binary Stream Registration > Notification Setup Button |  |  |
Closed Build 307 (October 2015) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with unapply on 'Apply Sales Document' Window and the apply by line window should not automatically open when use marks an invoice to apply a payment to, when 'Auto Open to allocate' is not marked | Transactions > Sales > Cash Receipts |  |
Fixed the issue with unapply on 'Apply Sales Document' Window | Transactions > Sales > Cash Receipts |  |
Fixed an issue where applying a payment to multiple lines and reopening the Apply By Line window, will show the payment as being applied to different lines than those initially applied. This issue would only occur with the 'Auto Allocate for Partially Paid Invoice' marked on SABL setup. | Transactions > Sales > Apply Sales Documents |  |
Closed Build 306a (April 2015) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue with Integration Manager After Document script, where integrating a Cash Receipt with blank LineDiscount and LineWriteoff fields would throw an error: "Error Executing Script 'After Document' Line 33: - [Microsoft][SQL Server Native Client 10.0][SQL Server]Incorrect syntax near ','." | Transactions > Sales > Cash Receipts |  |

2014

Closed Build 306 (November 2014) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue where marking a Sales document and not opening the Apply By Line Items window would not actually apply the payment to any of the lines. | Transactions > Sales > Apply Sales Documents > Apply Amount Expansion Button |  |
Fixed issue where marking and immediately unmarking a Sales document to apply a payment would not update the Remaining Amount of the Sales document. | Transactions > Sales > Apply Sales Documents |  |
Fixed issue where deleting a Cash Receipt from the Cash Receipt window or deleting the Batch a Cash Receipt is saved to, would not delete the records created in the BSSI parallel table. | Transactions > Sales > Cash Receipts |  |
Closed Build 305 (August 2014) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue where if an SOP Invoice line item is Negative, Apply By Line was adding the line total to the Remaining Amount to be applied on the Apply by Line Items window. | Transactions > Sales > Apply Sales Documents > Apply Amount Expansion Button |  |
Closed Build 304 (March 2014) for Microsoft Dynamics GP 2013 SP1
  • Project
    • Added functionality so that the Apply By Line Items window can have an unapplied balance. The Apply By Line Items window can be opend even if the Apply Amount on the Apply Sales Documents window is zero.
      Path: Transactions > Sales > Apply Sales Documents
    • The Remaining Amount column has been added to the Aged Trial Balance with Options and Detailed Historical Aged Trial Balance reports. You generate these reports from the Receivables Trial Balance Reports window.
      Path: Reports > Sales > Trial Balance
    • Added the ability to import data into the Apply By Line Table through Integration Manager.

2013

Closed Build 304 (March 2014) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue, when applied amount from voided documents was not 'unapplied'. To fix the issue, the voided documents are removed from the Apply By Line table. |  |  |
Closed Build 303 (September 2013) for Microsoft Dynamics GP 2013 SP1
  • Project
    • Added the Applied by Line Items Inquiry window.
      Path: Inquiry > Sales > Transaction by Customer, Transaction by Document > Document Number expansion button
Closed Build 302a (August 2013) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Trial Reg Keys. |  |  |
Closed Build 302 (August 2013) for Microsoft Dynamics GP 2013 SP1
  • Project
    • Added a box for item description to the Apply Sales Documents window. Path: Transactions > Sales > Apply Sales Documents
    • Added the Applied by Line Items Inquiry window.
      Path: Inquiry > Sales > Transaction by Customer, Transaction by Document > Document Number expansion button
Closed Build 301 (August 2013) for Microsoft Dynamics GP 2013 SP1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from 11 SP2 to GP 2013 SP1 |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of SOP Apply by Line.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Apply AR Payment by Line, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within SABL.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating SOP Apply by Line

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update SOP Apply by Line, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up SOP Apply by Line

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for SOP Apply by Line, you cannot correctly enter and reuse data or use the functionality in SOP Apply by Line.
  • For some third‑party programs , the alternate window for SOP Apply by Line is not available due to conflicts. For programs commonly used with SOP Apply by Line, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a SOP Apply by Line alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


RW_TableHeaderString

Table: BSSI_SOPApplyByLine

Field Returned | Parameter
 | 1 | 2 | 3 | 4 | 5
BSSI_ApplyToItemLine1 | 9095 | “TB” | BSSI_Component | 1 | 1
BSSI_ApplyToItemLine2 | 9095 | “TB” | BSSI_Component | 2 | 1
BSSI_ApplyToItemLine3 | 9095 | “TB” | BSSI_Component | 3 | 1
BSSI_ApplyToItemLine4 | 9095 | “TB” | BSSI_Component | 4 | 1
BSSI_ApplyToItemLine5 | 9095 | “TB” | BSSI_Component | 5 | 1
BSSI_ApplyToItemLine6 | 9095 | “TB” | BSSI_Component | 6 | 1
BSSI_ApplyToItemLine7 | 9095 | “TB” | BSSI_Component | 7 | 1
BSSI_ApplyToItemLine8 | 9095 | “TB” | BSSI_Component | 8 | 1

See also

RW_TableHeaderCurrency

Adding the Applied Amount to a Report

Adding the Item Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


RW_TableHeaderCurrency

Table: BSSI_SOPApplyByLine

Field Returned | Parameter
 | 1 | 2 | 3 | 4 | 5
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 1 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 2 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 3 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 4 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 5 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 6 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 7 | 1
BSSI_ApplyAmtLine | 9095 | “TB” | BSSI_Component | 8 | 1
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 1 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 2 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 3 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 4 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 5 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 6 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 7 | 2
BSSI_ApplyDiscAmtLine | 9095 | “TB” | BSSI_Component | 8 | 2
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 1 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 2 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 3 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 4 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 5 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 6 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 7 | 3
BSSI_ApplyWriteOffAmtLine | 9095 | “TB” | BSSI_Component | 8 | 3
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 1 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 2 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 3 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 4 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 5 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 6 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 7 | 4
BSSI_AmtRemainingLine | 9095 | “TB” | BSSI_Component | 8 | 4

See also

RW_TableHeaderString

Adding the Applied Amount to a Report

Adding the Item Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Managing SOP Apply by Line

Typically, a system administrator performs the following tasks in a Microsoft Dynamics GP environment with the software installed:

  • Installing and updating the software
  • Importing data
  • Setting up the software
  • Creating Reports or Modifying Reports
  • Troubleshooting
  • Managing Integrations

For help with any of these items, contact your system administrator.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using SOP Apply by Line

As an end user, you typically perform the following tasks in a Microsoft Dynamics GP environment with SOP Apply by Line installed:

  • Data entry
  • Processing
  • Reporting

These are typical Microsoft Dynamics GP tasks. In addition, you use the custom and alternate windows and reports for SOP Apply by Line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the SABL custom menus from the SABL area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to SABL windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Apply AR Payment by Line.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Apply AR Payment by Line node to show all of the Microsoft Dynamics GP series.
  7. For each SABL window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.
  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Apply AR Payment by Line node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing SOP Apply by Line Integration Manager SQL Stored Procedures

To enable SOP Apply by Line to be integrated with Integration Manager, you must install various SOP Apply by Line Integration Manager SQL stored procedures in the company database. The stored procedures apply the business logic that is necessary for you to access the SOP Apply by Line database tables from within Integration Manager.

Tip: You can install the SOP Apply by Line Integration Manager stored procedures while users are still logged on to and using GP.

To install all the SOP Apply by Line Integration Manager stored procedures at one time, follow these steps:

  1. Extract the files from SABL-IntMgr_<GPVersionNumber>_<Binary StreamBuildNumber>_<ReleaseDate>.zip.
  2. Run the __CreateCombinedSQL.bat file, which combine all the SQL scripts into a single file.
  3. Start SQL Server Management Studio, and open the __CombinedSQL.sql file.
  4. Execute the file on all company databases that use Integration Manager with SOP Apply by Line.

See also

SOP Apply by Line and Integration Manager Overview

SOP Apply by Line Integration Manager Prerequisite Activities

Mapping Fields Using Integration Manager Scripts

Modifying Source Files

Records Imported with Script Errors

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mapping Fields Using Integration Manager Scripts

SOP Apply by Line fields are not mapped in the same way as standard Microsoft Dynamics GP fields. To map SOP Apply by Line fields, use a VB script where you specify either a constant value or the name of the column.

  1. Extract the VBScript folder from the SABL-IntMgr_<GPVersionNumber>_<Binary StreamBuildNumber>_<ReleaseDate>.zip on the computer that contains Integration Manager.
  2. Open the integration in Integration Manager.
  3. Right-click the integration, and select Properties.
  4. Select the Scripts tab, and do the following:
    1. Open the Before Document script, and paste the code.
    2. Open the After Document script, and paste the code.
    3. Open the After Integration script, and paste the code.

    5. You can find the code in the VBScript.txt file:

This script shows how to perform the mapping for the SOP Apply by Line fields. All values are entered as string values. You can put the constant directly in the script or put the value in a column in the source file, and use SourceFields to reference it (this is the default).

For example, the following fields are to be mapped:

  • Apply From Document will be mapped to a variable Receipt Number.
  • Batch Number will be mapped to the BatchID in the source file.

The script appears as follows:

The Receipt Number is usually determined by Microsoft Dynamics GP. Therefore, the Receipt Number is set to an empty string. If an empty string is passed to the stored procedure for the Receipt Number, the stored procedure automatically detects the right document number. Otherwise, the passed in document number is used.

The following images are examples of mapping fields:

See also

SOP Apply by Line and Integration Manager Overview

SOP Apply by Line Integration Manager Prerequisite Activities

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Modifying Source Files

Records Imported with Script Errors

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modifying Source Files

The CSV samples included in the SABL-IntMgr_<GPVersionNumber>_<Binary StreamBuildNumber>_<ReleaseDate>.zip file are examples of files used for data import:

  • CRDistribution.csv
  • CRHeader.csv

If you add another column to the source file, right-click the source file name in the main Integration Manager window and select Preview to check that the new column appears in the Data Viewer window.

See also

SOP Apply by Line and Integration Manager Overview

SOP Apply by Line Integration Manager Prerequisite Activities

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Mapping Fields Using Integration Manager Scripts

Records Imported with Script Errors

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modifying a Report

Use Report Writer to create a calculated field that calls the RW_TableHeaderString or RW_TableHeaderCurrency functions to obtain fields from the record of the BSSI_SOPApplyByLine table. RW_TableHeaderString returns a string field, and RW_TableHeaderCurrency returns a currency field.

Note icon. Note: For best results, only a qualified Microsoft Dynamics GP consultant or system administrator who is proficient in using Microsoft Dynamics GP Report Writer should modify the Microsoft Dynamics GP reports or the SABL alternate reports. For information on how to modify reports and add new calculated fields, see the Microsoft Dynamics GP documentation on Report Writer.

The following examples demonstrate how to add data to a report:

  • Adding the Item Number
  • Adding the Applied Amount to a Report

See also

RW_TableHeaderString

RW_TableHeaderCurrency

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding the Item Number

Review the following example for adding the item number for the applied item in Line 1:

  1. Open Report Writer (Microsoft Dynamics GP > Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports.
  4. Select a report from the Original Reports and select Insert, which moves the report to the Modified Reports list.
  5. Select a report from the Modified Reports list, and select Open.
  6. On the Report Definition window, select Layout.
  7. On the Toolbox window, select the Layout tab.
  8. In the Layout tab, from the list box, select Calculated Fields.
  9. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  10. Specify a Name for the field, for example, BSSI_ApplyToItemLine1.
  11. In Result Type, select String.
  12. Select the Functions tab.
    1. Select User-Defined.
    2. In Core, select System.
    3. In Function select rw_TableheaderString.
    4. Select Add.
  13. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 9095 (the product ID).
    3. Select Add.
  14. Select the Constants tab.
    1. In Type, select String.
    2. In Constant, type TB (or TBH for a historical report).
    3. Select Add.
  15. Select the Fields tab.
    1. In Resources, select Calculated Fields.
    2. In Field, select BSSI_Component.
    3. Select Add.
  16. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 1 for line 1, 2 for line 2, and so on.
    3. Select Add.
  17. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 1.
    3. Select Add.
  18. Select OK.
  19. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.
  20. Save the changes to the report layout and return to Microsoft Dynamics GP, where you can turn on the security for the modified report.

Note icon. Note: When creating a calculated field for the Historical Aged Trial Balance report, the second parameter must be TBH (step 14).

See also

RW_TableHeaderString

RW_TableHeaderCurrency

Adding the Applied Amount to a Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding the Applied Amount to a Report

Note icon. Note: Before you perform these steps, ensure that you import RWREPORTS.Package. If you do not import the package file first, you will not be able to add the BSSI_Component calculated field.

You can get RWREPORTS.Package from the compressed (zipped) installation folder (ApplyARPymntByLine_Install_GPvers_Build#_YYYYMMDD.zip).

Review the following example for adding the applied amount from Line 1:

  1. Open Report Writer (Microsoft Dynamics GP > Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports.
  4. Select a report from the Original Reports and select Insert, which moves the report to the Modified Reports list.
  5. Select a report from the Modified Reports list, and select Open.
  6. On the Report Definition window, select Layout.
  7. On the Toolbox window, select the Layout tab.
  8. In the Layout tab, from the list box, select Calculated Fields.
  9. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  10. Specify a Name for the field, for example, BSSI_ApplyAmtLine1.
  11. In Result Type, select String.
  12. Select the Functions tab.
    1. Select User-Defined.
    2. In Core, select System.
    3. In Function select rw_TableHeaderCurrency.
    4. Select Add.
  13. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 9095 (the product ID).
    3. Select Add.
  14. Select the Constants tab.
    1. In Type, select String.
    2. In Constant, type TB (or TBH for a historical report).
    3. Select Add.
  15. Select the Fields tab.
    1. In Resources, select Calculated Fields.
    2. In Field, select BSSI_Component.
    3. Select Add.
  16. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 1 for line 1, 2 for line 2, and so on.
    3. Select Add.
  17. Select the Constants tab.
    1. In Type, select Integer.
    2. In Constant, type 1.
    3. Select Add.
  18. Select OK.
  19. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.
  20. Save the changes to the report layout and return to Microsoft Dynamics GP, where you can turn on the security for the modified report.

Note icon. Note: When creating a calculated field for the Historical Aged Trial Balance report, the second parameter must be TBH (step 14).

You can add the following calculated fields using similar steps to obtain amounts from Line 1:

  • BSSI_ApplyDiscAmtLine1 - obtains the discount amount
  • BSSI_ApplyWriteOffAmtLine - obtains the write-off amount
  • BSSI_AmtRemainingLine1 - on historical reports shows the remaining amount for only the documents that have been moved to the history

The main difference is in step 17. To obtain the different amounts, you must specify a different constant:

  • discount amount, type 2
  • write-off amount type 3
  • remaining amount, type 4

The applied amount cannot be put directly on the report because a Microsoft Dynamics GP table also shows the applied amount in one of the bucket columns. As a result, obtaining this amount must follow the same principle. For every bucket column, an additional calculated field is created to show the applied amount.

The following images show a calculated field BSSI_ApplyAmtLine1Bucket1 that shows the applied amount from Line 1 in bucket 1:

See also

RW_TableHeaderString

RW_TableHeaderCurrency

Adding the Item Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Apply by Line and Integration Manager Overview

If you use Microsoft Integration Manager, you can modify the existing Integration Manager integration to work with SOP Apply by Line using scripts that Binary Stream provides.

The SOP Apply by Line Integration Manager scripts allow you to perform the following activities:

  • Apply amount for an item
  • Apply discount for an item
  • Apply write off for an item

Before setting up SOP Apply by Line Integration Manager scripts, ensure you complete the prerequisite activities.

When you set up the SOP Apply by Line Integration Manager scripts, you perform the following activities:

  1. Install SQL Scripts
  2. Map Fields using Integration Manager VB Scripts
  3. Modify Source Files

Notes:

  • Before you run the integration, ensure that no other users are processing cash receipts that belong to the batch ID that you want to process with Integration Manager.
  • When you run an integration with Integration Manager, you must be logged on to the correct company in Microsoft Dynamics GP for the processing to work correctly.

See also

SOP Apply by Line Integration Manager Prerequisite Activities

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Mapping Fields Using Integration Manager Scripts

Modifying Source Files

Records Imported with Script Errors

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Apply by Line Integration Manager Prerequisite Activities

Before you install and configure the SOP Apply by Line Integration Manager scripts, ensure that you have completed the following prerequisite activities:

  1. Install Microsoft Integration Manager for the version of Microsoft Dynamics GP that you are using. For more information, see the Microsoft Integration Manager User’s Guide.
  2. Install SOP Apply by Line and complete the setup in the Microsoft Dynamics GP environment.
    For more information, see the Installation Guide and the Administration Guide.
  3. Configure the integration and test it to verify that it works for standard Microsoft Dynamics GP data.
  4. Ensure you have the SABL-IntMgr_<GPVersionNumber>_BLD<Binary StreamBuildNumber>_<ReleaseDate>.zip on your computer.
    This file is included with the installation files that you extracted.

See also

SOP Apply by Line and Integration Manager Overview

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Mapping Fields Using Integration Manager Scripts

Modifying Source Files

Records Imported with Script Errors

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Records Imported with Script Errors

When you import records with Integration Manager, script errors can occur:

  • If an error on the Microsoft Dynamics GP tables occurs during the integration, the table is automatically rolled back.
  • If an error occurs during a write process to the SABL table, the stored procedure BSSISopApplyByLine that you referenced in the Before Document and After Document scripts automatically rolls back the table. The cause of the error is recorded in the log file:

Integration Manager does not have the ability to iterate multiple lines of data per existing source adapter. Hence, each source must have a relationship to the 'parent' source object. As a result, only one line of the additional source is accessible by any document scripts at a time.

You must have a line of data for each Apply by Line detail in the source file, which means the cash receipt data is duplicated for each line:

If you import a large amount of data that requires extensive processing, a “Query timeout expired” message might appear if the stored procedures called by the After Document script take too long to complete. For example:

The error is generated by the ADODB.Connection object, which is declared in the After Document script.

The length of the timeout period is controlled by the ADODB.Connection object’s CommandTimeout property. The default value is 30 seconds, which might not be long enough to complete the import. You can increase the timeout period to a longer time span.

If you want to set a timeout period so that there is no time limit, set the value to 0, and the “Query timeout expired” message will never appear.

To change the CommandTimeout value to a non-default value, you must add a line to the After Document script. For example, to set the value to 0 (no timeout period limit), add the following line to your After Document script:

pConnection.CommandTimeout = 0

Make sure to add the the line just above the GPConnection line, which opens the connection:

GPConnection.Open(pConnection)

For example:

See also

SOP Apply by Line and Integration Manager Overview

SOP Apply by Line Integration Manager Prerequisite Activities

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Mapping Fields Using Integration Manager Scripts

Modifying Source Files

Support Limitations for Integration Manager

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Limitations for Integration Manager

Before you contact Binary Stream for technical support for Integration Manager, please be advised of the following limitations:

  • If you require support for installing, configuring, and using Microsoft’s Integration Manager, see the Microsoft Integration Manager User’s Guide or contact Microsoft Dynamics GP Support.

Billable Service

If you require extra service for your software implementation, Binary Stream can provide billable support for extra activities, such as configuring your Integration Manager scripts to work with SOP Apply by Line. To configure your Integration Manager scripts to work with SOP Apply by Line, review the setup instructions.

If you still require support with configuring your Integration Manager scripts to work with SOP Apply by Line, contact services@binarystream.com for pricing information.

See also

SOP Apply by Line and Integration Manager Overview

SOP Apply by Line Integration Manager Prerequisite Activities

Installing SOP Apply by Line Integration Manager SQL Stored Procedures

Mapping Fields Using Integration Manager Scripts

Modifying Source Files

Records Imported with Script Errors

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within SABL, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > SOP Apply by Line > System Setup

Use this window to set your preferences for using SOP Apply by Line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Sales Documents: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Apply Sales Document

Use this alternate window to apply payments to sales documents.

The setting of the Auto Allocate for Partially Paid Invoice option on the System Setup window affects how payments are applied:

  • When the option is selected, and the Apply To check box for the Apply to Document is selected, the payment is automatically applied to each of the line items of the document until the Unapplied Amount reaches zero (0).
  • When the option is cleared, and the payment is less than the sales document amount, the payment is not partially applied to the document.

Note icon. Note: The payment is applied to the sales document regardless from where the Apply by Line Items window is opened.

When you select Apply To and open the Apply by Line Items window, the Total Unapplied from Payment Document amount is the Apply Amount on the Apply Sales Document window.

When you clear Apply To and open the Apply by Line Items window, the Total Unapplied from Payment Document amount is from the payment document header.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply by Line Items: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Apply Sales Document > Apply Amount expansion button

Use this window to manually apply a payment to sales document lines:

  • If the payment can completely pay the sales document, all lines in the scrolling window are selected.
  • If the payment cannot completely pay the sales document, and Auto Allocate for Partially Paid Invoice on the System Setup window is cleared, none of the lines in the scrolling window are selected.
  • If the payment cannot completely pay the sales document, and Auto Allocate for Partially Paid Invoice on the System Setup window is selected, some lines in the scrolling window are selected because the payment can be partially applied. The lines that are selected depend on the payment amount.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Trial Balance Reports: Overview

Button showing that window Overview page is currently viewed.

Reports > Sales > Trial Balance

Use this window to generate reports that display the open balances for different customers. These reports also show the applied data by lines.

You can use the modified reports provided by Binary Stream, or you can modify the existing Microsoft Dynamics GP reports using Report Writer.

The modified reports show currently the applied data for a maximum of eight lines. Due to Report Writer limitations, only four footers could be created, and each footer has two lines. If you increase the number of lines, you can add only one more line to each footer. In other words, the number of lines can be increased by four. When you add more lines, you might have to adjust some lines as needed.

See also

Modifying a Report

RW_TableHeaderString

RW_TableHeaderCurrency

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applied From Credits: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Transaction by Customer or Transaction by Document > Amount Remaining link

Use this alternate window to view the credit documents to which the selected debit document has been applied. The Document No. expansion button is added to this window. You can select the Document No. expansion button to open the Apply by Line Inquiry window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applied To Debits: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Transaction by Customer or Transaction by Document > Amount Remaining link

Use this alternate window to view the debit documents to which the selected credit document has been applied. The Document No. expansion button is added to this window. You can select the Document No. expansion button to open the Apply by Line Inquiry window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply by Line Items Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Transaction by Customer or Transaction by Document > Amount Remaining link > Document No. expansion button

Use this window to view the details of how the selected credit document (for example, a payment) was applied to the line items of the selected debit document (for example, an SOP invoice). This window shows all line items on the debit document and the application detail, including remaining amount, apply amount, terms taken (discount amount), and write-off amounts.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

SOP Apply by Line currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
  • Multi-Entity Management (MEM)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

SOP Apply by Line for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Tuesday, December 16, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in SABL.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for SOP Apply by Line

Welcome to the documentation for SOP Apply by Line for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for SABL.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from SOP Apply by Line in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate SABL window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type SABL_USER and in Description, type Alternate forms and reports for SABL.
  3. In Product, select Apply AR Payment by Line.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the SABL alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the SABL alternate form instead of the Microsoft Dynamics GP version, select the Apply AR Payment by Line option.
      For example, select the SABL alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all SABL alternate forms in a single action, set the Select box to Apply AR Payment by Line, and then select Change All.
  5. To use the SABL alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the SABL alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extracting the SOP Apply by Line Installation Files

After you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.
  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

Installation Files Table
File Name | Description
ApplyARPymntByLine_GPvers_Setup.msi | The installer file for the Binary Stream program and the EULA. Note icon. Note: The installer is for a 64-bit operating system only.
Readme_ApplyARPymntByLine_GPvers.pdf | The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.
ApplyARPymntByLine_WebClient_HelpFiles.zip | The documentation for the Microsoft Dynamics GP web client. Note icon. Note: If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal (https://portal.binarystream.com/) External link .
ApplyARPymntByLine-RMTBReports.zip | A package file that you can import into Microsoft Dynamics GP for reports that you might want to use.
RWREPORTS.Package | A package file that you can import into Microsoft Dynamics GP for Report Writer reports that you might want to use.
SABL-IntMgr_<GPVersionNumber>_<Binary StreamBuildNumber>_<ReleaseDate>.zip | SQL scripts, CSV samples, and the integration guide.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Apply by Line Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of SOP Apply by Line (SABL), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing SABL.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Note icon. Note: The Pathnames window is not currently supported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom SOP Apply by Line windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply by Line Items: Buttons

Auto Apply

Automatically applies the available amount to each line. The document remains open.

Cancel

Cancels all changes and closes the window.

OK

Validates the applied amounts and closes the window.

Unapply

Resets the changes. The Apply Amount is set to zero in each line, and all check boxes are cleared. The document remains open.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply by Line Items: Fields

List View

Apply Amount

Specify the apply amount for the selected line item. The amount must be less than or equal to the Remaining Amount.

Check Box

Select to apply the payment to the selected line. When the check box is cleared, the payment is not applied to the line.

Req. Ship Date

Available in SABL for Microsoft Dynamics GP 2016 R2 (build 604 and newer) and 2018 (build 702 and newer).

Displays the date on which a payment is to be received. All displayed records are chronologically sorted from oldest to newest based on this date.

This date is the same as the Req. Ship Date from the Sales Transaction Inquiry Zoom window.

Item Description

Displays the description that is entered on the sales order processing document for the selected line item. The default description for the item is from the Description of the item from the Item Maintenance window, but you can change it on the Sales Transaction Entry window when the sales order processing document is created.

Terms Taken

Specify the terms taken for the selected line item.

Write offs

Specify the write offs for the selected line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Sales Documents: Buttons

Apply Amount Expansion button

Opens the Apply by Line Items window.

Auto Apply

Currently, this functionality is not fully supported by SOP Apply by Line. If you select this button, SOP Apply by Line might not work as expected.

Cancel

Cancels all changes and closes the window.

OK

Validates the applied amounts and closes the window.

Unapply

Resets the changes. The Apply Amount is set to zero in each line, and all check boxes are cleared. The document remains open.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Sales Documents: Fields

Scrolling Window

Apply Amount

Specify the apply amount for the selected line item. This amount must be less than the Remaining Amount.

Apply To

Select to automatically apply the payment to the selected document. When this check box is cleared, the payment is not applied to the selected document.

Customer PO No

Displays the customer purchase order number entered on the SOP document for the selected line item.

Terms Taken

Specify the terms taken for the selected line item.

Write offs

Specify the write offs for the selected line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Fields

Disable SOP Apply by Line Functionality

Select to turn off the SOP Apply by Line functionality.

Optional Setup

Auto Allocate for Partially Paid Invoice

Indicates whether the payment amount is automatically and proportionally allocated to each sales document line:

  • Selected: The payment amount is automatically and proportionally allocated to each sales document line.
    When selected, partial payments (payments that do not fully pay an invoice) are allowed.
  • Cleared: The payment amount is not automatically and proportionally allocated to each sales document line.
    Hence, partial payments are not allowed.

Auto Open to Allocate

When a payment is applied to an invoice, you can choose to automatically open the Apply by Line Items window:

  • Selected: The Apply by Line Items window is automatically opened when a payment is applied to an invoice.
  • Cleared: The Apply by Line Items window does not open when a payment is applied to an invoice. If you want to use the window, you must manually open it.

    When this option is cleared, but a previous payment has already been applied to an invoice, when applying another payment, the Apply by Line Items window automatically opens.

You are not forced to apply a payment by lines. In cases where a payment is fully applied to the invoice header, the lines might still show a remaining amount (even though the invoice is fully paid).

Sort By Requested Shipping Date

Available in SABL for Microsoft Dynamics GP 2016 R2 (build 604 and newer) and 2018 (build 702 and newer).

Select whether the default sort order of the list view on the Apply by Line Items window is by the requested shipping date:

  • Selected: On the Apply by Line Items, the list view is sorted chronologically by the Req. Ship Date column, with the oldest record at the top of the list.
  • Cleared: On the Apply by Line Items, the list view is sorted by the line sequence number. Default.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.